| Home | Libraries | People | FAQ | More

###### params_ref::insert (2 of 3 overloads)

Insert elements.

###### Synopsis

    iterator
    insert(
        iterator before,
        std::initializer_list< param_view > init);

###### Description

This function inserts the params in an initializer-list before the specified position.

All iterators that are equal to `before` or come after are invalidated.

###### Remarks

The strings referenced by the inputs must not come from the underlying url, or else the behavior is undefined.

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Return Value

An iterator to the first element inserted, or `before` if `init.size() == 0`.

###### Parameters

Name | Description
--- | ---
`before` | An iterator before which the element is inserted. This may be equal to `end()`.
`init` | The list of params to insert.